%define debug_package %{nil}

Name:		apngdis
Version:	2.8
Release:	1%{?dist}
Summary:	Split APNG files to PNG files

License:	zlib
URL:		http://apngdis.sourceforge.net/
Source0:	http://iweb.dl.sourceforge.net/project/apngdis/2.8/apngdis-2.8-src.zip

BuildRequires:	libpng-devel
BuildRequires:	zlib-devel
Requires:	libpng
Requires:	zlib

%description
APNG Disassembler deconstructs APNG file into a sequence of PNG frames. Decoding is implemented by parsing all chunks in the APNG file, remuxing them into a sequence of static PNG images, and then using regular (unpatched) libpng to decode them.


%prep
%setup -q -c %{name}-%{version}


%build
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
cp apngdis %{buildroot}%{_bindir}


%files
%doc readme.txt
%{_bindir}/%{name}


%changelog
* Sun Feb 21 2016 drgraham - 2.8-1
- Initial package for Fedora

